Skip to main content
PATCH
/
config_types
/
{config_type_id}
Python
import os
from miru_platform_sdk import Miru

client = Miru(
    api_key=os.environ.get("MIRU_API_KEY"),  # This is the default and can be omitted
)
config_type = client.config_types.update(
    config_type_id="cfg_typ_123",
)
print(config_type.id)
{
  "object": "config_type",
  "id": "cfg_typ_123",
  "name": "Motion Control",
  "slug": "motion-control",
  "created_at": "2021-01-01T00:00:00Z",
  "updated_at": "2021-01-01T00:00:00Z",
  "created_by_id": "usr_123",
  "updated_by_id": "usr_123"
}
ScopeRequired
config_types:writeYes

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-03-09.tetons"

Path Parameters

config_type_id
string
required

The unique identifier of the config type.

Example:

"cfg_typ_123"

Body

application/json
name
string

The updated name of the config type.

Example:

"My Config Type"

slug
string

The updated slug for the config type.

Example:

"my-config-type"

Response

200 - application/json

Successfully updated the config type.

object
enum<string>
required

The object type, which is always config_type.

Available options:
config_type
Example:

"config_type"

id
string
required

ID of the config type.

Example:

"cfg_123"

name
string
required

Name of the config type.

Example:

"My Config Type"

slug
string
required

An immutable, code-friendly name for the config type.

Example:

"my-config-type"

created_at
string<date-time>
required

Timestamp of when the config type was created.

Example:

"2021-01-01T00:00:00Z"

updated_at
string<date-time>
required

Timestamp of when the config type was last updated.

Example:

"2021-01-01T00:00:00Z"

Last modified on March 13, 2026